예제 #1
0
 protected override void CalculateBoundingBox(Rhino.Display.CalculateBoundingBoxEventArgs e)
 {
     if (null != Mesh)
     {
         e.IncludeBoundingBox(Mesh.GetBoundingBox(false));
     }
 }
예제 #2
0
 protected override void CalculateBoundingBox(Rhino.Display.CalculateBoundingBoxEventArgs e)
 {
     if (null != Mesh)
     {
         Rhino.Geometry.BoundingBox bbox = Mesh.GetBoundingBox(false);
         // Unites a bounding box with the current display bounding box in
         // order to ensure dynamic objects in "box" are drawn.
         e.IncludeBoundingBox(bbox);
     }
 }
        protected override void CalculateBoundingBox(Rhino.Display.CalculateBoundingBoxEventArgs e)
        {
            var bbox = e.BoundingBox;

            foreach (Point3d pt in _points)
            {
                bbox.Union(pt);
            }
            e.IncludeBoundingBox(bbox);
        }
예제 #4
0
        private static void DisplayPipeline_MarkersBoundingBox(object sender, Rhino.Display.CalculateBoundingBoxEventArgs e)
        {
            BoundingBox bb = new BoundingBox(markers);

            bb.Union(plane.Origin);
            bb.Union(plane.Origin + plane.XAxis * 110.0);
            bb.Union(plane.Origin + plane.YAxis * 110.0);
            bb.Union(plane.Origin + plane.ZAxis * 110.0);

            e.IncludeBoundingBox(bb);
        }
예제 #5
0
 static void DisplayPipeline_CalculateBoundingBox(object sender, Rhino.Display.CalculateBoundingBoxEventArgs e)
 {
     if (m_draw_single_sprite)
     {
         BoundingBox bbox = new BoundingBox(new Point3d(20, 0, 0), new Point3d(20, 0, 0));
         e.IncludeBoundingBox(bbox);
     }
     else
     {
         var items = GetItems();
         e.IncludeBoundingBox(items.BoundingBox);
     }
 }
예제 #6
0
 void DisplayPipeline_CalculateBoundingBox(object sender, Rhino.Display.CalculateBoundingBoxEventArgs e)
 {
     e.IncludeBoundingBox(this.BoundingBox());
 }
예제 #7
0
        private static void DisplayPipeline_CloudBoundingBox(object sender, Rhino.Display.CalculateBoundingBoxEventArgs e)
        {
            BoundingBox bb = Cloud.GetBoundingBox(false);

            e.IncludeBoundingBox(bb);
        }